Index: TXM/trunk/org.txm.analec.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.analec.rcp/META-INF/MANIFEST.MF	(revision 3634)
+++ TXM/trunk/org.txm.analec.rcp/META-INF/MANIFEST.MF	(revision 3635)
@@ -174,7 +174,6 @@
 Bundle-SymbolicName: org.txm.annotation.urs.rcp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-Name: %Bundle-Name.0
-Bundle-ClassPath: .
 Require-Bundle: org.eclipse.ui;visibility:=reexport,org.eclipse.core.r
  untime;visibility:=reexport,org.eclipse.jface;visibility:=reexport,or
  g.eclipse.swt;visibility:=reexport,org.eclipse.core.expressions;bundl
@@ -192,4 +191,4 @@
 Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: %Bundle-Vendor
 Automatic-Module-Name: org.txm.annotation.urs.rcp
-
+Eclipse-BundleShape: dir
Index: TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/messages_fr.properties
===================================================================
--- TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/messages_fr.properties	(revision 3634)
+++ TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/messages_fr.properties	(revision 3635)
@@ -199,7 +199,7 @@
 
 SaveCorpus_0 = La sélection n''est pas un corpus racine ({0})
 
-SaveCorpus_3 = Enregistrement des annotations URS ({0})
+SaveCorpus_3 = Enregistrement des annotations URS ({0}, {1})
 
 SaveCorpus_5 = Erreur lors de l'enregistrement  du corpus.
 
Index: TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/SaveCorpus.java
===================================================================
--- TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/SaveCorpus.java	(revision 3634)
+++ TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/SaveCorpus.java	(revision 3635)
@@ -80,8 +80,9 @@
 		
 		File binaryCorpusDirectory = mainCorpus.getProjectDirectory();
 		File fichierCorpus = URSCorpora.getECFile(mainCorpus);
+		File fichierVueCorpus = URSCorpora.getECVFile(mainCorpus);
 		
-		Log.info(NLS.bind(Messages.SaveCorpus_3, fichierCorpus));
+		Log.info(NLS.bind(Messages.SaveCorpus_3, fichierCorpus, fichierVueCorpus));
 		if (!URSCorpora.saveCorpus(mainCorpus)) {
 			Log.warning(Messages.SaveCorpus_5);
 			return false;
Index: TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/messages.properties
===================================================================
--- TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/messages.properties	(revision 3634)
+++ TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/messages.properties	(revision 3635)
@@ -199,7 +199,7 @@
 
 SaveCorpus_0 = Selection is not a main corpus ({0})
 
-SaveCorpus_3 = Saving the annotations ({0})
+SaveCorpus_3 = Saving the annotations ({0}, {1})
 
 SaveCorpus_5 = Error while saving the corpus.
 
Index: TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/view/ElementPropertiesView.java
===================================================================
--- TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/view/ElementPropertiesView.java	(revision 3634)
+++ TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/view/ElementPropertiesView.java	(revision 3635)
@@ -1,10 +1,12 @@
 package org.txm.annotation.urs.view;
 
 import java.util.ArrayList;
+import java.util.HashMap;
 import java.util.LinkedHashMap;
 
 import org.eclipse.osgi.util.NLS;
 import org.eclipse.swt.SWT;
+import org.eclipse.swt.custom.ScrolledComposite;
 import org.eclipse.swt.events.DisposeEvent;
 import org.eclipse.swt.events.DisposeListener;
 import org.eclipse.swt.events.SelectionEvent;
@@ -17,6 +19,7 @@
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Control;
 import org.eclipse.swt.widgets.Display;
+import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.ToolBar;
 import org.eclipse.swt.widgets.ToolItem;
 import org.eclipse.ui.IWorkbenchPage;
@@ -26,6 +29,7 @@
 import org.txm.annotation.urs.URSCorpora;
 import org.txm.annotation.urs.toolbar.URSAnnotationToolbar;
 import org.txm.rcp.IImageKeys;
+import org.txm.rcp.swt.GLComposite;
 import org.txm.utils.logger.Log;
 
 import visuAnalec.Message;
@@ -85,6 +89,10 @@
 	private org.txm.searchengine.cqp.corpus.CQPCorpus corpus;
 
 	private ToolItem applyButton;
+
+	private ScrolledComposite sc1;
+
+	private GridLayout glayoutFields;
 	
 	//	private KeyListener allControlsKeyListener;
 	
@@ -209,11 +217,25 @@
 			public void widgetDefaultSelected(SelectionEvent e) { }
 		});
 		
+		sc1 = new ScrolledComposite(parent, SWT.V_SCROLL);
+		GridLayout glayout = new GridLayout(1, true);
+		glayout.marginBottom = glayout.marginTop = glayout.marginHeight = glayout.verticalSpacing = 0;
+		sc1.setLayout(glayout);
+		sc1.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, true));
+		sc1.setExpandHorizontal(true);
+		sc1.setExpandVertical(true);
+		sc1.setMinSize(0, 120);
 		
-		fields = new Composite(parent, SWT.NONE);
+		fields = new Composite(sc1, SWT.NONE);
 		GridData fields_gdata = new GridData(GridData.FILL, GridData.FILL, true, true);
 		fields.setLayoutData(fields_gdata);
-		fields.setLayout(new RowLayout());
+		glayoutFields = new GridLayout();
+		glayoutFields.numColumns = 1;
+		fields.setLayout(glayoutFields);
+		sc1.setContent(fields);
+		fields.addListener( SWT.Resize, event -> {
+			sc1.setMinSize(fields.computeSize(sc1.getParent().getSize().x, SWT.DEFAULT));
+			} );
 		this.setPartName("Element");
 		
 		// GridDatas to use when a new field is added
@@ -292,13 +314,28 @@
 		//if (this.element == null || (!this.element.getType().equals(newElement.getType()))) { // no need to rebuild the widgets
 		//clear(); // remove all previous widgets
 		String[][] props = vue.getChamps(newElement.getClass(), newElement.getType());
+		HashMap<String, Integer> niveaux = vue.getNiveauxChampsAVoir(newElement.getClass(), newElement.getType());
+		HashMap<String, Integer> ordres = vue.getPositionsChampsAVoir(newElement.getClass(), newElement.getType());
+		int ncol = 0;
+		int nline = props.length;
 		for (int l = 0 ; l < props.length ; l++) {
+			if (ncol < props[l].length) ncol = props[l].length;
+			
+		}
+		for (int l = 0 ; l < nline ; l++) {
+			
+			Composite lineComposite = new Composite(fields, SWT.NONE);
+			//lineComposite.getLayout().numColumns = props[l].length;
+			lineComposite.setLayout(new RowLayout());
+			lineComposite.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, false));
+			
 			for (String p : props[l]) { // the first is the prop names
+				
 				PropertyField c = null;
 				if (textWidgets.containsKey(p)) {
 					c = textWidgets.get(p);
 				} else {
-					c = new PropertyField(fields, SWT.NONE, p, this);
+					c = new PropertyField(lineComposite, SWT.NONE, p, this);
 					
 					c.setLayoutData(cData);
 					c.setLayout(new GridLayout(2, false));
@@ -307,8 +344,10 @@
 				
 				c.setItems(c, newElement);
 			}
+
 		}
 		
+		//glayoutFields.numColumns = ncol;
 		fields.layout();
 		fields.getParent().layout();
 		
Index: TXM/trunk/org.txm.analec.rcp/build.properties
===================================================================
--- TXM/trunk/org.txm.analec.rcp/build.properties	(revision 3634)
+++ TXM/trunk/org.txm.analec.rcp/build.properties	(revision 3635)
@@ -1,10 +1,10 @@
-jars.compile.order = .
-source.. = src/
 output.. = bin/
 bin.includes = META-INF/,\
+				.,\
                icons/,\
                plugin.xml,\
                libs/,\
                OSGI-INF/,\
                OSGI-INF/l10n/bundle.properties
+source..=src/
 #qualifier=svn
